Qt 5.7 | Qt 3D | QML Types | PickingSettings QML Type

Qt 5.7.1 Reference Documentation

# PickingSettings QML Type

The PickingSettings class specifies how entity picking is handled. More...

Import Statement: | import Qt3D.Render 2.0
Since: | Qt 5.7
Instantiates: | QPickingSettings

- List of all members, including inherited members

## Properties

- pickMethod : enumeration
- pickResultMode : enumeration

## Detailed Description

The picking settings determine how the entity picking is handled. For more details about entity picking, see Qt3DRender::QObjectPicker component documentation.

## Property Documentation

pickMethod : enumeration

Holds the current pick method.

- PickingSettings.BoundingVolumePicking
- PickingSettings.TrianglePicking

See also Qt3DRender::QPickingSettings::PickMethod.

pickResultMode : enumeration

Holds the current pick results mode.

- PickingSettings.NearestPick
- PickingSettings.AllPicks

See also Qt3DRender::QPickingSettings::PickResultMode.